You are not logged in.

#1 2013-08-04 10:29:46

unikum
Member
From: Russia
Registered: 2010-09-04
Posts: 151
Website

TeX Live 2013 update issue: Package biblatex Error

Hi.

Today I updated texlive 2012 to 2013 version. After this I can't compile my projects with error:

! Package biblatex Error: Patching 'babel' package failed.

I use biblatex with biber backend and polyglossia packages.

Installed packages:

extra/texlive-bibtexextra 2013.30944-1 (texlive-most)
    TeX Live - Additional BibTeX styles and bibliography databases
extra/texlive-bin 2013.30973-2
    TeX Live binaries
extra/texlive-core 2013.30962-2 (texlive-most)
    TeX Live core distribution
extra/texlive-fontsextra 2013.30955-1 (texlive-most)
    TeX Live - all sorts of extra fonts
extra/texlive-formatsextra 2013.30214-1 (texlive-most)
    TeX Live - collection of extra TeX 'formats'
extra/texlive-games 2013.30959-1 (texlive-most)
    TeX Live - Setups for typesetting various board games, including chess
extra/texlive-genericextra 2013.29803-1 (texlive-most)
    TeX Live - mixed bag of generic macro packages and fonts
extra/texlive-htmlxml 2013.29725-1 (texlive-most)
    TeX Live - Packages to convert LaTeX to XML/HTML, and typeset XML/SGML
extra/texlive-humanities 2013.30815-2 (texlive-most)
    TeX Live - LaTeX packages for law, linguistics, social sciences, and humanities
extra/texlive-langcyrillic 2013.30653-1 (texlive-lang)
    TeX Live - Fonts and macro packages to typeset Cyrillic texts
extra/texlive-latexextra 2013.30964-1 (texlive-most)
    TeX Live - Large collection of add-on packages for LaTeX
extra/texlive-music 2013.30005-1 (texlive-most)
    TeX Live - Music typesetting packages
extra/texlive-pictures 2013.30637-2 (texlive-most)
    TeX Live - Packages for drawings graphics
extra/texlive-plainextra 2013.30377-1 (texlive-most)
    TeX Live - A collection of add-on packages and macros for plain TeX
extra/texlive-pstricks 2013.30956-1 (texlive-most)
    TeX Live - Additional PSTricks packages
extra/texlive-publishers 2013.30958-1 (texlive-most)
    TeX Live - LaTeX classes and packages for specific publishers
extra/texlive-science 2013.30910-1 (texlive-most)
    TeX Live - Typesetting for natural and computer sciences

Last edited by unikum (2013-08-04 10:30:23)

Offline

#2 2013-08-04 11:01:07

roentgen
Member
Registered: 2011-03-15
Posts: 91

Re: TeX Live 2013 update issue: Package biblatex Error

You don't say anything if you followed the upgrade instructions posted on the main page.

Offline

#3 2013-08-04 11:09:33

unikum
Member
From: Russia
Registered: 2010-09-04
Posts: 151
Website

Re: TeX Live 2013 update issue: Package biblatex Error

I followed the instructions on the main page. Also  I tried compile project on the fresh Tex Live installation (on my laptop) with same issue.

Offline

#4 2013-08-04 21:05:17

clfarron4
Member
From: London, UK
Registered: 2013-06-28
Posts: 2,163
Website

Re: TeX Live 2013 update issue: Package biblatex Error

So I did the upgrade (last night/early morning... sometime very soon after it hitting the repositories) by removing with pacman -Rncs texlive-bin and then installing it fresh with no problems.


Claire is fine.
Problems? I have dysgraphia, so clear and concise please.
My public GPG key for package signing
My x86_64 package repository

Offline

#5 2013-08-05 01:15:33

cfr
Member
From: Cymru
Registered: 2011-11-27
Posts: 6,145

Re: TeX Live 2013 update issue: Package biblatex Error

When you say you updated texlive, do you mean that you did pacman -Syu and it included the update or did you do something else?


How To Ask Questions The Smart Way | Help Vampires

Arch Linux | x86_64 | GPT | EFI boot | refind | stub loader | systemd | LVM2 on LUKS
Lenovo x270 | Intel(R) Core(TM) i5-7200U CPU @ 2.50GHz | Intel Corporation Wireless 8265 / 8275 | US keyboard with Euro | 512G NVMe INTEL SSDPEKKF512G7L

Offline

#6 2013-08-05 03:47:04

unikum
Member
From: Russia
Registered: 2010-09-04
Posts: 151
Website

Re: TeX Live 2013 update issue: Package biblatex Error

Offline

#7 2013-08-05 04:01:17

unikum
Member
From: Russia
Registered: 2010-09-04
Posts: 151
Website

Re: TeX Live 2013 update issue: Package biblatex Error

Minimal example:

\documentclass{article}

\usepackage{polyglossia}
\setdefaultlanguage{english}
\usepackage[backend=biber]{biblatex}

\begin{document}

Some text.

\end{document}

Compile with command:

$ xelatex -shell-escape example.tex

Last edited by unikum (2013-08-05 04:03:52)

Offline

#8 2013-08-05 04:03:23

unikum
Member
From: Russia
Registered: 2010-09-04
Posts: 151
Website

Re: TeX Live 2013 update issue: Package biblatex Error

@clfarron4 I tried reinstall all texlive packages with clean the config files.

Offline

#9 2013-08-05 04:16:51

jasonwryan
Anarchist
From: .nz
Registered: 2009-05-09
Posts: 30,001
Website

Re: TeX Live 2013 update issue: Package biblatex Error

Please stop bumping the thread. If you have additional material to add, you can use the edit button:
https://wiki.archlinux.org/index.php/Fo … te#Bumping


Arch + dwm   •   Mercurial repos  •   Surfraw

Registered Linux User #482438

Offline

#10 2013-08-05 10:05:58

clfarron4
Member
From: London, UK
Registered: 2013-06-28
Posts: 2,163
Website

Re: TeX Live 2013 update issue: Package biblatex Error

unikum wrote:

@clfarron4 I tried reinstall all texlive packages with clean the config files.

That's not really helpful... From what it reads earlier in the thread you:

1) upgraded with sudo pacman -Syu, and tried the instructions on the ArchWiki page; then
2) reinstalled texlive with sudo pacman -S (insert packages here) .

Am I right? Also

3) Have you tried running sudo pacman -Rncs texlive-bin, which recursively looks for dependencies (all of texlive and a few other packages), removes the configuration files of all programs found during the recursive search and then removes them and then installing texlive fresh?

I doubt you have done 3) because if you did, you shouldn't have any problems (I certainly don't).


Claire is fine.
Problems? I have dysgraphia, so clear and concise please.
My public GPG key for package signing
My x86_64 package repository

Offline

#11 2013-08-05 20:55:47

2ion
Member
Registered: 2013-04-19
Posts: 108

Re: TeX Live 2013 update issue: Package biblatex Error

As unikum correctly pointed out, this problem is due to an API change in polyglossia v1.3. The fix is already in biblatex's upstream code https://github.com/plk/biblatex/issues/116 and to be released as part of version biblatex 2.7, which TeXLive does not yet include.

The issue can be resolved by installing the fixed version of biblatex from git (https://github.com/plk/biblatex) into TEXMFHOME or TEXMFLOCAL, overriding the texlive texmf tree.

Please note that this can end quickly in dependency hell, where quickly moving packages like polyglossia-upstream in turn require upstream versions of other packages which have not yet been shipped in TeXLive, so use with care. Also, producing the packages from upstream sources may be non-trivial in some cases.

Offline

#12 2013-08-05 21:23:18

unikum
Member
From: Russia
Registered: 2010-09-04
Posts: 151
Website

Re: TeX Live 2013 update issue: Package biblatex Error

@clfarron4: are you tried compile an example code which I provided below?
@2ion: as I understand  now most correct way is downgrade the texlive packages?

Offline

#13 2013-08-05 21:30:07

clfarron4
Member
From: London, UK
Registered: 2013-06-28
Posts: 2,163
Website

Re: TeX Live 2013 update issue: Package biblatex Error

@unikum: Yes I have , and I can confirm that everything (apart from polyglossia) compiles flawlessly. It would appear with XeTeX the polyglossia package works but the BibLaTeX doesn't. With PDFTeX, BibLaTeX does work, but I see that polyglossia only works with XeTeX (my compiler also suggests LuaTeX but I'm not going to try it).

I'm quite happy with how BibTeX works though I'm going guess that you use BibLaTeX for your own reasons.

LaTeX itself works, I've been working on my MSc Dissertation, lectures notes and other bits, conveniently written in LaTeX, with a working BibTex bibliography. Have I had any problems after uninstalling TeXLive 2012 and then installing TeXLive 2013? NO.

As for your second question, no. I will not repeat how I did the upgrade for a third time, so please read my previous posts.

Edited after re-reading entire thread (things getting mixed up in my head ¬¬).

Last edited by clfarron4 (2013-08-05 21:45:25)


Claire is fine.
Problems? I have dysgraphia, so clear and concise please.
My public GPG key for package signing
My x86_64 package repository

Offline

#14 2013-08-05 22:01:39

cfr
Member
From: Cymru
Registered: 2011-11-27
Posts: 6,145

Re: TeX Live 2013 update issue: Package biblatex Error

TeX Live includes BibLaTeX version 2.7a. I'm not sure if that includes the fix but if so, presumably the Arch package should assimilate it before too long.


How To Ask Questions The Smart Way | Help Vampires

Arch Linux | x86_64 | GPT | EFI boot | refind | stub loader | systemd | LVM2 on LUKS
Lenovo x270 | Intel(R) Core(TM) i5-7200U CPU @ 2.50GHz | Intel Corporation Wireless 8265 / 8275 | US keyboard with Euro | 512G NVMe INTEL SSDPEKKF512G7L

Offline

#15 2013-08-05 22:17:20

2ion
Member
Registered: 2013-04-19
Posts: 108

Re: TeX Live 2013 update issue: Package biblatex Error

unikum wrote:

@2ion: as I understand  now most correct way is downgrade the texlive packages?

That is correct. Falling  back on texlive 2012 would be the cleanest method to get a flawless xelatex setup with texlive again as far as I know.

However, in case your document code is not too tightly interwoven with xelatex, you could probably get away with temporarily switching to lualatex+babel+biblatex while having to do only minor code changes. This might bring more complications about, though.

Offline

#16 2013-08-05 22:26:53

2ion
Member
Registered: 2013-04-19
Posts: 108

Re: TeX Live 2013 update issue: Package biblatex Error

cfr wrote:

TeX Live includes BibLaTeX version 2.7a. I'm not sure if that includes the fix but if so, presumably the Arch package should assimilate it before too long.

2.7a for "alpha"? Anyway, I am sorry for not having updated my local git tags for the biblatex repo before engaging in this thread. Seemingly, 2.7 has been tagged on July 9th – and therefore has already been released – with the fix in question dating back to May 16th and should therefore find its way into texlive soon, or so I hope (having been hit by this myself).

Offline

#17 2013-08-05 22:30:28

cfr
Member
From: Cymru
Registered: 2011-11-27
Posts: 6,145

Re: TeX Live 2013 update issue: Package biblatex Error

This is from biblatex.sty on my install of TeX Live:

\def\abx@date{2013/07/15}
\def\abx@version{2.7a}

So this looks to be later than the 9th July release.

EDIT: Note I'm using upstream directly rather than Arch packages because old habits die hard (know how it works) and it gives me more flexibility (possible to have multiple versions installed simultaneously e.g. 2011, 2012 and current right now) and security (TeX Live recommend it not be installed using a privileged account). I checked this is up to date tonight so this should be what is currently in TeX Live modulo any variations due to mirrors not being in sync, if applicable.

Last edited by cfr (2013-08-05 22:34:44)


How To Ask Questions The Smart Way | Help Vampires

Arch Linux | x86_64 | GPT | EFI boot | refind | stub loader | systemd | LVM2 on LUKS
Lenovo x270 | Intel(R) Core(TM) i5-7200U CPU @ 2.50GHz | Intel Corporation Wireless 8265 / 8275 | US keyboard with Euro | 512G NVMe INTEL SSDPEKKF512G7L

Offline

#18 2013-08-05 22:44:57

2ion
Member
Registered: 2013-04-19
Posts: 108

Re: TeX Live 2013 update issue: Package biblatex Error

cfr wrote:

This is from biblatex.sty on my install of TeX Live:

\def\abx@date{2013/07/15}
\def\abx@version{2.7a}

So this looks to be later than the 9th July release.

You're right. According to http://ftp.uni-erlangen.de/mirrors/CTAN … ex/RELEASE:

RELEASE NOTES FOR VERSION 2.7a

* Bugfix release for 2.7

as of July 15th. I guess 2.7a includes the changes since 2.7. The polyglossia glitch should resolve itself after a while, then.

Offline

Board footer

Powered by FluxBB